Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.agreementv2.domain
Class SignedEncryptedBuilderResponse

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.agreementv2.domain.SignedEncryptedBuilderResponse

    public class SignedEncryptedBuilderResponse

extends Object

Agreement business response, used by `ResponseObjectBuilder` to handle the WS response. It wraps and expose through getter methods:

- the signature data (xades and signed data)
- the signature verification results (a `SignatureVerificationResult`
- the business response as a byte array
- the raw decrypted blob where the above data was derived from, namely a a `EncryptedKnownContent`

Constructor Summary
`SignedEncryptedBuilderResponse(EncryptedKnownContent encryptedKnownContent, SignatureVerificationResult signatureVerificationResult, byte[] signedData, byte[] xades, byte[] businessResponse)`

Method Summary
`byte[]` | `getBusinessResponse()`
`EncryptedKnownContent` | `getRawDecryptedBlob()`
`SignatureVerificationResult` | `getSignatureVerificationResult()`
`byte[]` | `getSignedData()`
`byte[]` | `getXades()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedEncryptedBuilderResponse

    public SignedEncryptedBuilderResponse(EncryptedKnownContent encryptedKnownContent,
                                          SignatureVerificationResult signatureVerificationResult,
                                          byte[] signedData,
                                          byte[] xades,
                                          byte[] businessResponse)

Method Detail

### getRawDecryptedBlob

    public EncryptedKnownContent getRawDecryptedBlob()

### getSignatureVerificationResult

    public SignatureVerificationResult getSignatureVerificationResult()

### getSignedData

    public byte[] getSignedData()

### getXades

    public byte[] getXades()

### getBusinessResponse

    public byte[] getBusinessResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.